ant-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 52589] New: Apache version 1.8.2 build.xml gives warning message:'includeantruntime' was not set efaulting to build.sysclasspath=last; set to false for repeatable builds
Date Thu, 02 Feb 2012 21:49:45 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=52589

             Bug #: 52589
           Summary: Apache version 1.8.2 build.xml gives warning
                    message:'includeantruntime' was not set efaulting to
                    build.sysclasspath=last; set to false for repeatable
                    builds
           Product: Ant
           Version: 1.8.2
          Platform: PC
        OS/Version: Windows Vista
            Status: NEW
          Severity: normal
          Priority: P2
         Component: Build Process
        AssignedTo: notifications@ant.apache.org
        ReportedBy: wisdompays50@yahoo.com
    Classification: Unclassified


Issue:-
----------
Using version 1.8.2,when build.xml file is run,compile target gives following
warning message:-
 [javac] C:\AntExample\build.xml:20: warning: 'includeantruntime' was not set
defaulting to build.sysclasspath=last; set to false for repeatable builds.

Possible cause:-
Javac expects attribute includeruntime.

Solution:-

This can be solved if we add attribute includeruntime having value false in
javac.

 <javac srcdir="${src.dir}" destdir="${classes.dir}"
includeantruntime="false"/>

-- 
Configure bugmail: https://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

Mime
View raw message